.\" -*-nroff-*-
.\"
.\"
.\"     Copyright (C) 1996-2004 Michael R. Elkins <me@cs.hmc.edu>
.\" 
.\"     This program is free software; you can redistribute it and/or modify
.\"     it under the terms of the GNU General Public License as published by
.\"     the Free Software Foundation; either version 2 of the License, or
.\"     (at your option) any later version.
.\" 
.\"     This program is distributed in the hope that it will be useful,
.\"     but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"     GNU General Public License for more details.
.\" 
.\"     You should have received a copy of the GNU General Public License
.\"     along with this program; if not, write to the Free Software
.\"     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
.\"
.TH Madmutt 1 Unix "User Manuals"
.SH NAME
Madmutt \- The Madmutt Mail User Agent
.SH SYNOPSIS
.PP
.B madmutt
[-GnRyzZ] 
[-e \fIcmd\fP] [-F \fIfile\fP] [-g \fIserver\fP] [-m \fItype\fP] [-f \fIfile\fP]
.PP
.B madmutt 
[-nx] 
[-e \fIcmd\fP] 
[-a \fIfile\fP]
[-F \fIfile\fP]
[-H \fIfile\fP]
[-i \fIfile\fP]
[-s \fIsubj\fP]
[-b \fIaddr\fP]
[-c \fIaddr\fP] \fIaddr\fP [...]
.PP
.B madmutt
[-n] [-e \fIcmd\fP] [-F \fIfile\fP] [-t | -T]
.PP
.B madmutt
[-n] [-e \fIcmd\fP] [-F \fIfile\fP] -p
.PP
.B madmutt
[-n] [-e \fIcmd\fP] [-F \fIfile\fP] -Q \fIquery\fP
.PP
.B madmutt
[-n] [-e \fIcmd\fP] [-F \fIfile\fP] -A \fIalias\fP
.PP
.B madmutt
-v[v]
.SH DESCRIPTION
.PP
Madmutt is a small but very powerful text based program for reading electronic
mail under unix operating systems, including support color terminals, MIME,
and a threaded sorting mode.
.SH OPTIONS
.PP
.IP "-A \fIalias\fP"
An expanded version of the given alias is passed to stdout.
.IP "-a \fIfile\fP"
Attach a file to your message using MIME.
.IP "-b \fIaddress\fP"
Specify a blind-carbon-copy (BCC) recipient
.IP "-c \fIaddress\fP"
Specify a carbon-copy (CC) recipient
.IP "-t"
Print the value of all variables to stdout.
.IP "-T"
Print the value of all changed variables to stdout.
.IP "-e \fIcommand\fP"
Specify a configuration command to be run after processing of initialization
files.
.IP "-f \fImailbox\fP"
Specify which mailbox to load.
.IP "-F \fImadmuttrc\fP"
Specify an initialization file to read instead of ~/.madmuttrc
.IP "-g \fIserver\fP"
Start Madmutt with a listing of subscribed newsgroups at specified newsserver.
.IP "-G"
Start Madmutt with a listing of subscribed newsgroups.
.IP "-d"
Specify a debugging level. This will cause madmutt to create .madmuttdebug<level> files which include
debugging information.
.IP "-h"
Display help.
.IP "-H \fIdraft\fP"
Specify a draft file which contains header and body to use to send a
message.
.IP "-i \fIinclude\fP"
Specify a file to include into the body of a message.
.IP "-m \fItype\fP       "
specify a default mailbox type
.IP "-n"
Causes Madmutt to bypass the system configuration file.
.IP "-p"
Resume a postponed message.
.IP "-Q \fIquery\fP"
Query a configuration variables value.  The query is executed after
all configuration files have been parsed, and any commands given on
the command line have been executed.
.IP "-R"
Open a mailbox in \fIread-only\fP mode.
.IP "-s \fIsubject\fP"
Specify the subject of the message.
.IP "-v"
Display the Madmutt version number and compile-time definitions.
.IP "-x"
Emulate the mailx compose mode.
.IP "-y"
Start Madmutt with a listing of all mailboxes specified by the \fImailboxes\fP
command.
.IP "-z"
When used with -f, causes Madmutt not to start if there are no messages in the
mailbox.
.IP "-Z"
Causes Madmutt to open the first mailbox specified by the \fImailboxes\fP
command which contains new mail.
.SH ENVIRONMENT
.PP
.IP "EDITOR"
Specifies the editor to use if VISUAL is unset.
.IP "EMAIL"
The user's e-mail address.
.IP "HOME"
Full path of the user's home directory.
.IP "MAIL"
Full path of the user's spool mailbox.
.IP "MAILDIR"
Full path of the user's spool mailbox.  Commonly used when the spool
mailbox is a 
.B maildir (5)
folder.
.IP "MAILCAPS"
Path to search for mailcap files.
.IP "MM_NOASK"
If this variable is set, mailcap are always used without prompting first.
.IP "PGPPATH"
Directory in which the user's PGP public keyring can be found.
.IP "TMPDIR"
Directory in which temporary files are created.
.IP "REPLYTO"
Default Reply-To address.
.IP "VISUAL"
Specifies the editor to use when composing messages.
.SH FILES
.PP
.IP "~/.madmuttrc or ~/.madmutt/madmuttrc"
User configuration file.
.IP "@sysconfdir@/madmuttrc"
System-wide configuration file.
.IP "/tmp/muttXXXXXX"
Temporary files created by Madmutt.
.IP "~/.mailcap"
User definition for handling non-text MIME types.
.IP "@sysconfdir@/mailcap"
System definition for handling non-text MIME types.
.IP "~/.mime.types"
User's personal mapping between MIME types and file extensions.
.IP "@sysconfdir@/mime.types"
System mapping between MIME types and file extensions.
.IP "@bindir@/madmutt_dotlock"
The privileged dotlocking program.
.IP "@docdir@/manual.txt"
The Madmutt manual.
.SH BUGS
.PP
None.  Mutts have fleas, not bugs.
.SH FLEAS
.PP
Suspend/resume while editing a file with an external editor does not work
under SunOS 4.x if you use the curses lib in /usr/5lib.  It \fIdoes\fP work
with the S-Lang library, however.
.PP
Resizing the screen while using an external pager causes Madmutt to go haywire
on some systems.
.PP
suspend/resume does not work under Ultrix.
.PP
The help line for the index menu is not updated if you change the bindings
for one of the functions listed while Madmutt is running.
.PP
For a more up-to-date list of bugs, errm, fleas, please visit the
Madmutt project's bug tracking system under http://developer.berlios.de/projects/Madmutt/.  To
report a bug, please use the
.BR fleang (1)
program.
.SH NO WARRANTIES
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
.SH SEE ALSO
.PP
.BR curses (3),
.BR fleang (1),
.BR mailcap (5),
.BR maildir (5),
.BR mbox (5),
.BR madmutt_dotlock (1),
.BR madmuttrc (5),
.BR ncurses (3),
.BR sendmail (1),
.BR smail (1)
.PP
Madmutt Home Page: http://www.madmutt.org
.PP
The Madmutt manual: http://www.madmutt.org/manual
.PP
The GNU General Public License.
.SH AUTHOR
.PP
Original mutt was/is written Michael Elkins, and others.
.PP
Madmutt is written by Andreas Krennmair <ak@synflood.at> and others.
.PP
Use <Madmutt-devel@lists.berlios.de> to contact the developers.
